%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           git-cola
Version:        2.0.0
Release:        1%{?dist}
Summary:        A highly caffeinated git gui

Group:          Development/Tools
License:        GPLv2+
URL:            http://cola.tuxfamily.org/
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python-devel
BuildRequires:  PyQt4-devel
#BuildRequires:  asciidoc
BuildRequires:  git
BuildRequires:  gettext
#BuildRequires:  xmlto
#BuildRequires:  python-sphinx
Requires:       git
Requires:       PyQt4
Requires:       python-inotify
Requires:       python-simplejson
Requires:       python-jsonpickle
Requires:       python-argparse

%description
A sweet, carbonated git gui known for its
sugary flavour and caffeine-inspired features.


%prep
%setup -q


%build
make


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} prefix=%{_prefix} install # install-doc install-html
%find_lang git-cola


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/git-cola.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/git-dag.desktop


%clean
rm -rf %{buildroot}


%post
update-desktop-database &> /dev/null || :


%postun
update-desktop-database &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT README.md
%{_bindir}/*
%{_datadir}/applications/git-cola.desktop
%{_datadir}/applications/git-dag.desktop
%{_datadir}/applications/git-cola-folder-handler.desktop
%{_datadir}/git-cola
%{_docdir}/git-cola
%{_datadir}/locale/*/*/git-cola.mo
#%{_mandir}/man1/git-cola.1.gz
#%{_mandir}/man1/git-dag.1.gz
#%{python_sitelib}/git_cola-*


%changelog
* Tue Feb 25 2014 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 2.0.0-1
- New upstream release.

* Fri Jan 31 2014 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.9.4-1
- New upstream release

* Tue Dec 10 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.9.3-1
- New upstream release

* Wed Oct 16 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.9.1-1
- rebuilt

* Wed Sep 25 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.8.5-1
- New upstream release

* Fri Aug 30 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.8.4-1
- New upstream release

* Wed May 08 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.8.3-1
- New upstream release

* Wed Feb 27 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.8.2-1
- Upstream version bump

* Sat Dec 22 2012 Taylor Braun-Jones <Taylor.Braun-Jones@ge.com> - 1.8.1-2
- Initial import from Fedora Rawhide 1.8.1-1 (Git commit 7ad7b4aa) plus some
  modifications
